Bug 9588 - ACLs are not inherited to directories for DFS shares
ACLs are not inherited to directories for DFS shares
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: File services
3.5.16
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-23 19:13 UTC by Grace Chen
Modified: 2013-01-30 21:00 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.0.x and master and 3.6.x. 34854ae58fb0fdeec7f27d1d6264b2035778ea6b in master (1.44 KB, patch)
2013-01-25 22:16 UTC, Jeremy Allison
ddiss: review+
jra: review? (gd)
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Grace Chen 2013-01-23 19:13:33 UTC
We tested both 3.5.16 and 3.6.8, the same issue exists in both versions.

Test steps:
1. create a DFS share, say share1, which points to an internal hidden share _share1$
2. create a new folder "xptest", clean up all default ACLs and add two users with full access control
3. create a subfolder "xptest\testdir", and a file "xptest\testfile" inside this xptest folder
4. add a new user with full access to the folder "xptest", and let it apply to itself, and subfolders
5. the file "testfile" now has 3 ACE entries, which is correct, as it inherited the new ACL change from parent
6. the directory "testdir" still has 2 ACE entries, the newly added ACL entry did not propagate to this folder.

Same test on internal share does not have this problem.
Comment 1 Jeremy Allison 2013-01-25 22:16:59 UTC
Created attachment 8491 [details]
git-am fix for 4.0.x and master and 3.6.x.

34854ae58fb0fdeec7f27d1d6264b2035778ea6b in master

Patch applies to all active release branches.
Jeremy.
Comment 2 Stefan Metzmacher 2013-01-28 15:39:42 UTC
Comment on attachment 8491 [details]
git-am fix for 4.0.x and master and 3.6.x.

34854ae58fb0fdeec7f27d1d6264b2035778ea6b in master

This looks good and is 34854ae58fb0fdeec7f27d1d6264b2035778ea6b in master
Comment 3 Karolin Seeger 2013-01-28 18:59:51 UTC
Pushed to v3-6-test and autobuild-v4-0-test.
Comment 4 Karolin Seeger 2013-01-28 20:46:07 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!